Spec-Zone.ru › OpenJDK 25

Пакет java.security.interfaces

package java.security.interfaces
Предоставляет интерфейсы для генерации ключей RSA (алгоритм асимметричного шифрования Rivest, Shamir and Adleman), определённых в технической заметке PKCS#1 лаборатории RSA, и ключей DSA (алгоритм цифровой подписи), определённых в стандарте FIPS-186 NIST.

Обратите внимание, что эти интерфейсы предназначены только для реализаций ключей, материалы ключей которых доступны. Эти интерфейсы не предназначены для реализаций ключей, материалы ключей которых хранятся в недоступном защищённом хранилище (например, в аппаратном устройстве).

Дополнительные сведения для разработчиков об использовании этих интерфейсов, включая информацию о разработке классов Key для аппаратных устройств, см. в следующих руководствах для разработчиков криптографических провайдеров:

  • Как реализовать провайдер в архитектуре Java Cryptography Architecture

Спецификация пакета

  • PKCS #1: спецификации криптографии RSA, версия 2.2 (RFC 8017)
  • Публикация федеральных стандартов обработки информации (FIPS PUB) 186: стандарт цифровой подписи (DSS)

Связанная документация

Дополнительную документацию см. в следующих источниках:
  • Справочное руководство по архитектуре Java Cryptography Architecture
Начиная с версии:
1.1
Пакет Описание
java.security
Предоставляет классы и интерфейсы для инфраструктуры безопасности.
java.security.cert
Предоставляет классы и интерфейсы для анализа и управления сертификатами, списками отзыва сертификатов (CRL) и путями сертификации.
java.security.spec
Предоставляет классы и интерфейсы для спецификаций ключей и спецификаций параметров алгоритмов.
Класс Описание
DSAKey
Интерфейс для открытого или закрытого ключа DSA.
DSAKeyPairGenerator
Интерфейс объекта, способного генерировать пары ключей DSA.
DSAParams
Интерфейс для набора параметров ключа, специфичных для DSA и определяющих семейство ключей DSA.
DSAPrivateKey
Стандартный интерфейс для закрытого ключа DSA.
DSAPublicKey
Интерфейс для открытого ключа DSA.
ECKey
Интерфейс для ключа на эллиптической кривой (EC).
ECPrivateKey
Интерфейс для закрытого ключа на эллиптической кривой (EC).
ECPublicKey
Интерфейс для открытого ключа на эллиптической кривой (EC).
EdECKey
Интерфейс для открытого или закрытого ключа на эллиптической кривой, определённого в RFC 8032: алгоритм цифровой подписи на кривых Эдвардса (EdDSA).
EdECPrivateKey
Интерфейс для закрытого ключа на эллиптической кривой, определённого в RFC 8032: алгоритм цифровой подписи на кривых Эдвардса (EdDSA).
EdECPublicKey
Интерфейс для открытого ключа на эллиптической кривой, определённого в RFC 8032: алгоритм цифровой подписи на кривых Эдвардса (EdDSA).
RSAKey
Интерфейс для открытого или закрытого ключа стандарта PKCS#1 v2.2, например для алгоритмов RSA или RSASSA-PSS.
RSAMultiPrimePrivateCrtKey
Интерфейс для закрытого многопростого ключа RSA, определённого в стандарте PKCS#1 v2.2 и использующего значения параметров китайской теоремы об остатках (CRT).
RSAPrivateCrtKey
Интерфейс для закрытого ключа RSA, определённого в стандарте PKCS#1 v2.2 и использующего значения параметров китайской теоремы об остатках (CRT).
RSAPrivateKey
Интерфейс для закрытого ключа RSA.
RSAPublicKey
Интерфейс для открытого ключа RSA.
XECKey
Интерфейс для открытого или закрытого ключа на эллиптической кривой, определённого в RFC 7748.
XECPrivateKey
Интерфейс для закрытого ключа на эллиптической кривой, определённого в RFC 7748.
XECPublicKey
Интерфейс для открытого ключа на эллиптической кривой, определённого в RFC 7748.

Сообщить об ошибке или предложить улучшение
Дополнительные справочные материалы по API и документацию для разработчиков см. в разделе Документация Java SE, содержащем более подробные описания для разработчиков, обзоры основных концепций, определения терминов, обходные решения и примеры работающего кода. Другие версии.
Java является товарным знаком или зарегистрированным товарным знаком Oracle и/или её дочерних компаний в США и других странах.
Авторское право © 1993, 2025, Oracle и/или её дочерние компании, 500 Oracle Parkway, Redwood Shores, CA 94065 USA.
Все права защищены. Использование регулируется условиями лицензии и политикой распространения документации.

© 1993, 2025, Oracle and/or its affiliates. All rights reserved.
Documentation extracted from Debian's OpenJDK Development Kit package.
Licensed under the GNU General Public License, version 2, with the Classpath Exception.
Various third party code in OpenJDK is licensed under different licenses (see Debian package).
Java and OpenJDK are trademarks or registered trademarks of Oracle and/or its affiliates.
https://docs.oracle.com/en/java/javase/25/docs/api/java.base/java/security/interfaces/package-summary.html

Spec-Zone.ru

Настройки Оффлайн Что нового Помощь О нас
Spec-Zone .ru
спецификации, руководства, описания, API